import * as $dara from '@darabonba/typescript';
export declare class ResetDisksResponseBodyOperationProgressSetOperationProgressRelatedItemSetRelatedItem extends $dara.Model {
    name?: string;
    value?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ResetDisksResponseBodyOperationProgressSetOperationProgressRelatedItemSet extends $dara.Model {
    relatedItem?: ResetDisksResponseBodyOperationProgressSetOperationProgressRelatedItemSetRelatedItem[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ResetDisksResponseBodyOperationProgressSetOperationProgress extends $dara.Model {
    errorCode?: string;
    errorMsg?: string;
    operationStatus?: string;
    relatedItemSet?: ResetDisksResponseBodyOperationProgressSetOperationProgressRelatedItemSet;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ResetDisksResponseBodyOperationProgressSet extends $dara.Model {
    operationProgress?: ResetDisksResponseBodyOperationProgressSetOperationProgress[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ResetDisksResponseBody extends $dara.Model {
    operationProgressSet?: ResetDisksResponseBodyOperationProgressSet;
    /**
     * @remarks
     * The ID of the request.
     *
     * @example
     * 3D66C85C-AA97-4A00-B0ED-2D9A80FE782C
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
